package net.sf.itcb.common.business.exceptions;

/**
 * This enum défines all the common errors that may be used in all modules
 * 
 * @author Pierre Le Roux
 *
 */
public enum CommonExceptionMappingErrors implements ExceptionMappingErrors {
	
	COMMON_BUSINESS_XXX ("To be define at the first use");

	private String message;
	
	CommonExceptionMappingErrors(String message) {
		this.message=message;
	}

	public String getMessage() {
		return message;
	}
	
	public String getMessageKey() {
		return this.toString();
	}

	
}
